Bug 250886 - Enable video4linux2 source on gstreamer-plugins-good
Summary: Enable video4linux2 source on gstreamer-plugins-good
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-04 12:16 UTC by Angel Marin
Modified: 2008-08-02 23:40 UTC (History)
3 users (show)

Fixed In Version: 0.10.6-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 08:07:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Angel Marin 2007-08-04 12:16:23 UTC
v4l2 plugin has been moved from p-p-bad to g-p-good >=0.10.5, though it's marked
as experimental so --enable-experimental must be used to get it built.

It'd be great to get v4l2 cameras working with gstreamer on F7 out of the box,
even with a experimental plugin :)

Comment 1 Adam Huffman 2007-08-08 21:40:09 UTC
Yes, I'd be keen to see this.  Cheese doesn't work with the camera on my Vaio
without it...

Comment 2 Bastien Nocera 2007-08-09 17:30:32 UTC
Why is it marked as experimental upstream?

As it been unmarked experimental in more recent versions (we're supposed to
upgrade to more recent versions of the package shortly).

Comment 3 Angel Marin 2007-08-09 17:41:44 UTC
v4l2 is still marked experimental on cvs HEAD.

Comment 4 Bastien Nocera 2007-08-09 17:48:10 UTC
Doesn't tell me why it's still marked experimental though...

Thomas?

Comment 5 Angel Marin 2007-08-09 17:55:18 UTC
Haven't found the info, but as it's been recently moved from p-p-bad I guess it
was just the safest approach. Anyway, would such a plugin hurt the stability of
users not using a v4l2 source?

Comment 6 Bastien Nocera 2007-08-13 08:07:21 UTC
gstreamer-plugins-good-0.10.6-2.fc8 has the v4l2 plugin now, for rawhide. F7
will get the plugin once bug 249598 is fixed.


Note You need to log in before you can comment on or make changes to this bug.